<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Macro.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Macro</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Macro

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Macro" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line292" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Macro-inheritance" src="Macro-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Macro-inheritance_map" />
<map name="Macro-inheritance_map"><area alt="Scopes/Synopsis/ASG/Declaration.html" href="Declaration.html" shape="rect" coords="5, 7, 173, 31" />
</map>
 <div class="doc">A preprocessor macro. Note that macros are not strictly part of the
   ASG&#44; and as such are always in the global scope. A macro is &quot;temporary&quot; if
   it was #undefined in the same file it was #defined in.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="parameters">parameters</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line300" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="text">text</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line301" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">type</span>, <span class="variable">name</span>, <span class="variable">parameters</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Macro.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line297" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.Macro.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line303" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from Declaration">
<tr><td colspan="2" class="heading">Attributes Inherited from Declaration</td></tr>
<tr><td class="inherited"><a href="Declaration.html#file" title="attribute Declaration.file">file</a>,
<a href="Declaration.html#line" title="attribute Declaration.line">line</a>,
<a href="Declaration.html#name" title="attribute Declaration.name">name</a>,
<a href="Declaration.html#type" title="attribute Declaration.type">type</a>,
<a href="Declaration.html#accessibility" title="attribute Declaration.accessibility">accessibility</a>,
<a href="Declaration.html#annotations" title="attribute Declaration.annotations">annotations</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
